<?php
public function deleteByObject($id, $type = 'gitlab')
{
    return $this->loadExtension('devops')->deleteByObject($id, $type);
}

public function getPairs($type = '', $checkOnline = false)
{
    return $this->loadExtension('devops')->getPairs($type, $checkOnline);
}

public function getByID($id)
{
    return $this->loadExtension('devops')->getByID($id);
}

public function getList($type = 'jenkins', $orderBy = 'id_desc', $pager = null)
{
    return $this->loadExtension('devops')->getList($type, $orderBy, $pager);
}

public function getOpenIdByAccount($providerID, $providerType, $zentaoAccount)
{
    return $this->loadExtension('devops')->getOpenIdByAccount($providerID, $providerType, $zentaoAccount);
}

public function convertApiError($message, $errorMap, $errorLang)
{
    return $this->loadExtension('devops')->convertApiError($message, $errorMap, $errorLang);
}
